#
# Copyright (c) 2018, Istvan Bondar,
# Written by Istvan Bondar, ibondar2014@gmail.com
#
# BSD Open Source License.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of the <organization> nor the
#       names of its contributors may be used to endorse or promote products
#       derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#
# ilocIDC Makefile
#
#
ILOC := ${ILOCROOT}
HOME := ${HOME}
MAKE = make
#
# color definitions
#
blue := $(shell tput setaf 6)
sgr0 := $(shell tput sgr0)
#
#
# Source files
#
#
SRCS =  iLocMain.c \
	iLocCluster.c \
	iLocDataCovariance.c \
	iLocDepthPhases.c \
	iLocDistAzimuth.c \
	iLocDPI.c \
	iLocEllipticityCorrection.c \
	iLocGregion.c \
	iLocInitializations.c \
	iLocInterpolate.c \
	iLocLocalTT.c \
	iLocLocationQuality.c \
	iLocLocator.c \
	iLocMagnitudes.c \
	iLocMysqlFuncs.c \
	iLocNA.c \
	iLocOracleFuncs.c \
	iLocPgsqlFuncs.c \
	iLocPhaseIdentification.c \
	iLocPhaseOrder.c \
	iLocPrintEvent.c \
	iLocReadAuxDataFiles.c \
	iLocReadISCPostgresqlDatabase.c \
	iLocReadIDCOracleDatabase.c \
	iLocReadIDCNIABDatabase.c \
	iLocReadSC3NIABDatabase.c \
	iLocReadSC3MysqlDatabase.c \
	iLocReadISF.c \
	iLocReadConfig.c \
	iLocSVD.c \
	iLocTimeFuncs.c \
	iLocTravelTimes.c \
	iLocUncertainties.c \
	iLocUtils.c \
	iLocWriteKML.c \
	iLocWriteISCPostgresqlDatabase.c \
	iLocWriteIDCOracleDatabase.c \
	iLocWriteIDCNIABDatabase.c \
	iLocWriteSC3NIABDatabase.c \
	iLocWriteSC3MysqlDatabase.c \
	iLocWriteISF.c

OBJS = $(SRCS:.c=.o)
#
#
# compiler and linker flags
#
#
CC = gcc
ILOCINC = -I$(ILOC)/include -I$(ILOC)/rstt/SLBM/include -I$(ILOC)/rstt/SLBM_C_shell/include
#ILOCLIBS = $(LAPACK) -L$(HOME)/lib -lslbm -lslbmCshell -lgeotesscpp -L${ORACLE_HOME}/lib -lclntsh -ldl -lm
ILOCLIBS = $(LAPACK) -L$(HOME)/lib -lslbm -lslbmCshell -lgeotesscpp -L$(HOME)/lib -lclntsh -ldl -lm
CFLAGS = $(DEBUG) $(MACOS) -m$(ARCH) -DIDCDB=1 -DORASQL=1 $(ILOCINC)

################################################################################
# recipes
################################################################################

.PHONY: iLocIDC

#
#  Optional Oracle instant client libraries
#    required for IDC Oracle db interface
#
iLocIDC: $(OBJS)
	$(CC) -o $(HOME)/bin/iLocIDC $(OBJS) $(CFLAGS) $(ILOCLIBS)
	rm -f *.o
	@echo "$(blue)$(HOME)/bin/iLocIDC done $(sgr0)"
